;;; init-linter.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;---------------------------
;; Lsp Mode
;;---------------------------
(use-package lsp-mode
  :config
  (add-hook 'lsp-mode-hook #'lsp-enable-which-key-integration)
  (add-hook 'prog-mode-hook #'lsp))

(use-package lsp-treemacs
  :config
  (lsp-treemacs-sync-mode 1))

(use-package lsp-ui)

(use-package dap-mode)

(provide 'init-linter)

;; End:
;;; init-linter.el ends here
